Speckley.h File Reference
`#include <speckley/system_dep.h>`
`#include <escript/EsysMPI.h>`
`#include <boost/shared_ptr.hpp>`
`#include <list>`
`#include <map>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| speckley

## Macros

#define | SPECKLEY_DEGREES_OF_FREEDOM 1
#define | SPECKLEY_NODES 3
#define | SPECKLEY_ELEMENTS 4
#define | SPECKLEY_FACE_ELEMENTS 5
#define | SPECKLEY_POINTS 6
#define | SPECKLEY_REDUCED_DEGREES_OF_FREEDOM 2
#define | SPECKLEY_REDUCED_NODES 14
#define | SPECKLEY_REDUCED_ELEMENTS 10
#define | SPECKLEY_REDUCED_FACE_ELEMENTS 11

## Typedefs

typedef std::pair< index_t, index_t > | speckley::IndexPair
typedef std::vector< index_t > | speckley::IndexVector
typedef std::vector< real_t > | speckley::DoubleVector
typedef std::map< std::string, int > | speckley::TagMap

## Enumerations

enum | { speckley::DegreesOfFreedom = 1, speckley::ReducedDegreesOfFreedom = 2, speckley::Nodes = 3, speckley::ReducedNodes = 14, speckley::Elements = 4, speckley::ReducedElements = 10, speckley::FaceElements = 5, speckley::ReducedFaceElements = 11, speckley::Points = 6 }

## Variables

const double | speckley::point_locations [][11]

## Macro Definition Documentation

## SPECKLEY_DEGREES_OF_FREEDOM

#define SPECKLEY_DEGREES_OF_FREEDOM 1

## SPECKLEY_ELEMENTS

#define SPECKLEY_ELEMENTS 4

## SPECKLEY_FACE_ELEMENTS

#define SPECKLEY_FACE_ELEMENTS 5

## SPECKLEY_NODES

#define SPECKLEY_NODES 3

## SPECKLEY_POINTS

#define SPECKLEY_POINTS 6

## SPECKLEY_REDUCED_DEGREES_OF_FREEDOM

#define SPECKLEY_REDUCED_DEGREES_OF_FREEDOM 2

## SPECKLEY_REDUCED_ELEMENTS

#define SPECKLEY_REDUCED_ELEMENTS 10

## SPECKLEY_REDUCED_FACE_ELEMENTS

#define SPECKLEY_REDUCED_FACE_ELEMENTS 11

## SPECKLEY_REDUCED_NODES

#define SPECKLEY_REDUCED_NODES 14